
# Class: CreateImageItemCommand

A command that defines product themes.

For details, you can refer to the [ICreateImageItem](../interfaces/icreateimageitem.md).
```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "createImageItem": {
      "url": "public:test.png",
      "name": "layerName",
      "position": {
         "x": 0,
         "y": 0
      },
      "size": {
         "width": 100,
         "height": 100
      }
    }
  }
}
```

## Hierarchy

* [DesignEditorWidgetCommand](designeditorwidgetcommand.md)

  ↳ **CreateImageItemCommand**

## Index

### Methods

* [execute](createimageitemcommand.md#execute)

## Methods

###  execute

▸ **execute**(`params`: [ICreateImageItem](../interfaces/icreateimageitem.md) | [ICreateImageItem](../interfaces/icreateimageitem.md)[]): *Promise‹void›*

*Overrides [DesignEditorWidgetCommand](designeditorwidgetcommand.md).[execute](designeditorwidgetcommand.md#abstract-execute)*

Executes this command.

**Parameters:**

Name | Type | Description |
------ | ------ | ------ |
`params` | [ICreateImageItem](../interfaces/icreateimageitem.md) &#124; [ICreateImageItem](../interfaces/icreateimageitem.md)[] | Parameters for the command.  |

**Returns:** *Promise‹void›*
